curl --request PUT \
--url https://api-staging.getmeadow.com/api/v1/customer-groups/{customerGroupId}/remove-customer \
--header 'Content-Type: application/json' \
--header 'X-Client-Key: <api-key>' \
--header 'X-Consumer-Key: <api-key>' \
--data '
{
"emailOrPhone": "650-555-1234"
}
'import requests
url = "https://api-staging.getmeadow.com/api/v1/customer-groups/{customerGroupId}/remove-customer"
payload = { "emailOrPhone": "650-555-1234" }
headers = {
"X-Consumer-Key": "<api-key>",
"X-Client-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Consumer-Key': '<api-key>',
'X-Client-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({emailOrPhone: '650-555-1234'})
};
fetch('https://api-staging.getmeadow.com/api/v1/customer-groups/{customerGroupId}/remove-customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 2987,
"hashId": "b6a97e",
"firstName": "Perrin",
"lastName": "Aybara",
"email": "perrin@getmeadow.com",
"phone": null,
"joinedAt": "2022-09-22T00:13:41.824Z",
"updatedAt": "2022-09-22T00:13:41.841Z",
"birthday": "1990-11-08",
"sex": "male",
"zip": "96150",
"licenseExpiry": null,
"marketingOptIn": false,
"marketingOptInAt": null,
"customerGroups": [],
"loyalty": {
"pointsAmount": 0
},
"mostRecentAddress": {
"street1": "123 Main St",
"street2": null,
"city": "San Francisco",
"state": "California",
"postalCode": "94103"
},
"medicalExpiration": null
}
}{
"error": {
"message": "A description of the error code",
"code": "CODE_OF_ERROR_WILL_BE_HERE"
}
}Remove customer from group
Remove customer from a customer group
Authorizations
The key assigned to your company and provided via Meadow
The key generated and provided by our mutual client
Path Parameters
ID of the customer group to remove this customer from
Body
Either an email address or a phone number of the customer to remove from the group
Response
Remove customer from group response
The id for the customer
An ID used to display to the customer and dispensary instead of the id number
The first name of the customer
The last name of the customer
The email of the customer
The phone of the customer
The date the customer joined the dispensary
The date this customer was last updated
The birthday of the customer in YYYY-MM-DD
One of male, female, tertiary
The postal code of the customer
The expiration date of this customer’s drivers license or null if it is not recorded.
Whether this customer is opted in to receive marketing
When this customer opted in to marketing or null
An array of Strings for the names of the customer groups this customer is a part of (Example: Veterans, Seniors, etc.)
The expiration date of this customer’s medical recommendation or null if they are an adult use customer

